Subject: Re: [PATCH] Fix 64bit bugs in dscc44.c II

From: Andi Kleen <[email-masked]>
Date: Wed, 8 Oct 2003 18:33:45 +0200

On Wed, Oct 08, 2003 at 09:10:50AM -0700, David S. Miller wrote:
> > BTW my change fixed the warning.
> 
> I know, but it added a new one.
> 
> > It's somewhat ugly to store pointers in unsigned long I agree,
> 
> I have _NO_ problem with this, all I'm asking you to do is:
> 
> -	foo = ioremap_nocache(...);
> + 	foo = (unsigned long) ioremap_nocache(...);

Just do that then when you apply the patch. Would have been faster
than to write all these emails ;-)

-Andi